Subject: bug#43696: Hyperbole recursive directory grep, not giving expected result

From: Jean Louis <[email-masked]>
Date: Tue, 29 Sep 2020 09:07:16 +0200

I was trying out this paragraph from DEMO file:

> The output of `grep -n', the UNIX line pattern matcher, can be activated as
> buttons that jump to each matched line within its source file; use {M-x grep
> RET} or even better, the Hyperbole recursive directory grep, {C-h h f g}.

It does not do what is expected, for example if I write "facebook" in
elpa/hyperbole directory, it will not give me any results, if I do
classic grep, it gives me result

[~/.emacs.d/elpa/hyperbole-7.1.2]
admin-> grep -insIH --exclude="*~" --exclude="#*" --exclude="TAGS" -e 'facebook' .
[~/.emacs.d/elpa/hyperbole-7.1.2]
admin-> 

no result from above.

If I do like this in the shell:

grep -insIH --exclude="*~" --exclude="#*" --exclude="TAGS" -e 'facebook' *

Then I am getting some results. Please review if there is any error. 

Suggestion:

The minibuffer description: Rgrep below current dir... could actually
show the current dir to the user.

I use:  Editor:      GNU Emacs 28.0.50 (build 15, x86_64-pc-linux-gnu, X toolkit, cairo version 1.14.8, Xaw3d scroll bars)

        Hyperbole:   7.1.2
        Sys Type:    x86_64-pc-linux-gnu
        OS Type:     gnu/linux
        Window Sys:  x
        News Reader: Gnus v5.13